<mat-tab-group
  [selectedIndex]="(selectedTabIndex$|ngrxPush)"
  (selectedIndexChange)="onSelectedTabIndexChanged($event)">
  <mat-tab label="Annotations">
    <app-classes
      [classEntities]="(classEntities$|ngrxPush)"
      [classesDict]="(classesDict$|ngrxPush)"
      [annotationColorMaps]="(annotationColorMaps$|ngrxPush)"
      [selectedAnnotationColorMapId]="(selectedAnnotationColorMapId$|ngrxPush)"
      [selectedAnnotationColorMap]="(selectedAnnotationColorMap$|ngrxPush)"
      [annotationColorMapInversion]="(annotationColorMapInversion$|ngrxPush)"
      [annotationColorMapInversionDisableState]="(annotationColorMapInversionDisableState$|ngrxPush)"
      [classColorMapping]="(classColorMapping$|ngrxPush)"
      [classSelections]="(classSelections$|ngrxPush)"
      [hasEadRenderingHint]="(hasEadAnnotationRenderingHint$|ngrxPush)"
      (changeClassSelection)="onClassSelectionChanged($event)"
      (changeAnnotationColorMap)="onAnnotationColorMapChanged($event)"
      (changeAnnotationColorMapInversion)="onAnnotationColorMapInversionChanged($event)">
    </app-classes>
  </mat-tab>
  <mat-tab label="Pixelmap">
    <app-pixel-map-element-class-item
      [pixelMap]="(pixelMap$|ngrxPush)"
      [colorMaps]="(colorMaps$|ngrxPush)"
      [selectedColorMap]="(selectedColorMap$|ngrxPush)"
      [colorMapInversion]="(colorMapInversion$|ngrxPush)"
      [colorMapInversionDisableState]="(colorMapInversionDisableState$|ngrxPush)"
      [classEntities]="(classesDict$|ngrxPush)"
      [renderingHintEntities]="(renderingHintEntities$|ngrxPush)"
      [hasRenderingHint]="(hasPixelMapsRenderingHint$|ngrxPush)"
      (colorMapSelectionChanged)="onColorMapSelectionChanged($event)"
      (colorMapInversionChanged)="onColorMapInversionChanged($event)">
    </app-pixel-map-element-class-item>
  </mat-tab>
</mat-tab-group>
